org.wildfly.swarm.config.management

## Class SecurityRealm<T extends SecurityRealm<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.SecurityRealm<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    EnhancedSecurityRealm

      public class SecurityRealm<T extends SecurityRealm<T>>
      extends HashMap

  A security realm that can be associated with a management interface and used to control access to the management services.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecurityRealm.SecurityRealmResources` Child mutators for SecurityRealm

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `jaasAuthentication()` Configuration to use a JAAS LoginContext to authenticate the users.
    `T` | `jaasAuthentication(JaasAuthentication value)` Configuration to use a JAAS LoginContext to authenticate the users.
    `T` | `jaasAuthentication(JaasAuthenticationConsumer consumer)` Configuration to use a JAAS LoginContext to authenticate the users.
    `T` | `jaasAuthentication(JaasAuthenticationSupplier supplier)` Configuration to use a JAAS LoginContext to authenticate the users.
    `T` | `kerberosAuthentication()` Configuration to use Kerberos to authenticate the users.
    `T` | `kerberosAuthentication(KerberosAuthentication value)` Configuration to use Kerberos to authenticate the users.
    `T` | `kerberosAuthentication(KerberosAuthenticationConsumer consumer)` Configuration to use Kerberos to authenticate the users.
    `T` | `kerberosAuthentication(KerberosAuthenticationSupplier supplier)` Configuration to use Kerberos to authenticate the users.
    `T` | `kerberosServerIdentity()` Configuration for the Kerberos identity of a server or host controller.
    `T` | `kerberosServerIdentity(KerberosServerIdentity value)` Configuration for the Kerberos identity of a server or host controller.
    `T` | `kerberosServerIdentity(KerberosServerIdentityConsumer consumer)` Configuration for the Kerberos identity of a server or host controller.
    `T` | `kerberosServerIdentity(KerberosServerIdentitySupplier supplier)` Configuration for the Kerberos identity of a server or host controller.
    `T` | `ldapAuthentication()` Configuration to use LDAP as the user repository.
    `T` | `ldapAuthentication(LdapAuthentication value)` Configuration to use LDAP as the user repository.
    `T` | `ldapAuthentication(LdapAuthenticationConsumer consumer)` Configuration to use LDAP as the user repository.
    `T` | `ldapAuthentication(LdapAuthenticationSupplier supplier)` Configuration to use LDAP as the user repository.
    `T` | `ldapAuthorization()` Configuration to use LDAP as the user repository.
    `T` | `ldapAuthorization(LdapAuthorization value)` Configuration to use LDAP as the user repository.
    `T` | `ldapAuthorization(LdapAuthorizationConsumer consumer)` Configuration to use LDAP as the user repository.
    `T` | `ldapAuthorization(LdapAuthorizationSupplier supplier)` Configuration to use LDAP as the user repository.
    `T` | `localAuthentication()` Configuration of the local authentication mechanism.
    `T` | `localAuthentication(LocalAuthentication value)` Configuration of the local authentication mechanism.
    `T` | `localAuthentication(LocalAuthenticationConsumer consumer)` Configuration of the local authentication mechanism.
    `T` | `localAuthentication(LocalAuthenticationSupplier supplier)` Configuration of the local authentication mechanism.
    `Boolean` | `mapGroupsToRoles()` After a users group membership has been loaded should a 1:1 relationship be assumed regarding group to role mapping.
    `T` | `mapGroupsToRoles(Boolean value)` After a users group membership has been loaded should a 1:1 relationship be assumed regarding group to role mapping.
    `T` | `plugIn(PlugIn value)` Add the PlugIn object to the list of subresources
    `T` | `plugIn(PlugInSupplier supplier)` Install a supplied PlugIn object to the list of subresources
    `T` | `plugIn(String childKey)` Create and configure a PlugIn object to the list of subresources
    `T` | `plugIn(String childKey, PlugInConsumer consumer)` Create and configure a PlugIn object to the list of subresources
    `T` | `plugInAuthentication()` Configuration of a user store plug-in for use by the realm.
    `T` | `plugInAuthentication(PlugInAuthentication value)` Configuration of a user store plug-in for use by the realm.
    `T` | `plugInAuthentication(PlugInAuthenticationConsumer consumer)` Configuration of a user store plug-in for use by the realm.
    `T` | `plugInAuthentication(PlugInAuthenticationSupplier supplier)` Configuration of a user store plug-in for use by the realm.
    `T` | `plugInAuthorization()` Configuration of a user store plug-in for use by the realm.
    `T` | `plugInAuthorization(PlugInAuthorization value)` Configuration of a user store plug-in for use by the realm.
    `T` | `plugInAuthorization(PlugInAuthorizationConsumer consumer)` Configuration of a user store plug-in for use by the realm.
    `T` | `plugInAuthorization(PlugInAuthorizationSupplier supplier)` Configuration of a user store plug-in for use by the realm.
    `T` | `plugIns(List<PlugIn> value)` Add all PlugIn objects to this subresource
    `T` | `propertiesAuthentication()` Configuration to use a list users stored within a properties file as the user repository.
    `T` | `propertiesAuthentication(PropertiesAuthentication value)` Configuration to use a list users stored within a properties file as the user repository.
    `T` | `propertiesAuthentication(PropertiesAuthenticationConsumer consumer)` Configuration to use a list users stored within a properties file as the user repository.
    `T` | `propertiesAuthentication(PropertiesAuthenticationSupplier supplier)` Configuration to use a list users stored within a properties file as the user repository.
    `T` | `propertiesAuthorization()` Configuration to use properties file to load a users roles.
    `T` | `propertiesAuthorization(PropertiesAuthorization value)` Configuration to use properties file to load a users roles.
    `T` | `propertiesAuthorization(PropertiesAuthorizationConsumer consumer)` Configuration to use properties file to load a users roles.
    `T` | `propertiesAuthorization(PropertiesAuthorizationSupplier supplier)` Configuration to use properties file to load a users roles.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `secretServerIdentity()` Configuration of the secret/password-based identity of a server or host controller.
    `T` | `secretServerIdentity(SecretServerIdentity value)` Configuration of the secret/password-based identity of a server or host controller.
    `T` | `secretServerIdentity(SecretServerIdentityConsumer consumer)` Configuration of the secret/password-based identity of a server or host controller.
    `T` | `secretServerIdentity(SecretServerIdentitySupplier supplier)` Configuration of the secret/password-based identity of a server or host controller.
    `T` | `sslServerIdentity()` Configuration of the SSL identity of a server or host controller.
    `T` | `sslServerIdentity(SslServerIdentity value)` Configuration of the SSL identity of a server or host controller.
    `T` | `sslServerIdentity(SslServerIdentityConsumer consumer)` Configuration of the SSL identity of a server or host controller.
    `T` | `sslServerIdentity(SslServerIdentitySupplier supplier)` Configuration of the SSL identity of a server or host controller.
    `SecurityRealm.SecurityRealmResources` | `subresources()`
    `T` | `truststoreAuthentication()` Configuration of a keystore to use to create a trust manager to verify clients.
    `T` | `truststoreAuthentication(TruststoreAuthentication value)` Configuration of a keystore to use to create a trust manager to verify clients.
    `T` | `truststoreAuthentication(TruststoreAuthenticationConsumer consumer)` Configuration of a keystore to use to create a trust manager to verify clients.
    `T` | `truststoreAuthentication(TruststoreAuthenticationSupplier supplier)` Configuration of a keystore to use to create a trust manager to verify clients.
    `T` | `usersAuthentication()` Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.
    `T` | `usersAuthentication(UsersAuthentication value)` Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.
    `T` | `usersAuthentication(UsersAuthenticationConsumer consumer)` Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.
    `T` | `usersAuthentication(UsersAuthenticationSupplier supplier)` Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### SecurityRealm

          public SecurityRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public SecurityRealm.SecurityRealmResources subresources()

    - #### plugIns

          public T plugIns(List<PlugIn> value)

      Add all PlugIn objects to this subresource
      Parameters:
        `value` - List of PlugIn objects.
      Returns:
        this

    - #### plugIn

          public T plugIn(PlugIn value)

      Add the PlugIn object to the list of subresources
      Parameters:
        `value` - The PlugIn to add
      Returns:
        this

    - #### plugIn

          public T plugIn(String childKey,
                          PlugInConsumer consumer)

      Create and configure a PlugIn object to the list of subresources
      Parameters:
        `key` - The key for the PlugIn resource
        `config` - The PlugInConsumer to use
      Returns:
        this

    - #### plugIn

          public T plugIn(String childKey)

      Create and configure a PlugIn object to the list of subresources
      Parameters:
        `key` - The key for the PlugIn resource
      Returns:
        this

    - #### plugIn

          public T plugIn(PlugInSupplier supplier)

      Install a supplied PlugIn object to the list of subresources

    - #### truststoreAuthentication

          public T truststoreAuthentication(TruststoreAuthentication value)

      Configuration of a keystore to use to create a trust manager to verify clients.

    - #### truststoreAuthentication

          public T truststoreAuthentication(TruststoreAuthenticationConsumer consumer)

      Configuration of a keystore to use to create a trust manager to verify clients.

    - #### truststoreAuthentication

          public T truststoreAuthentication()

      Configuration of a keystore to use to create a trust manager to verify clients.

    - #### truststoreAuthentication

          public T truststoreAuthentication(TruststoreAuthenticationSupplier supplier)

      Configuration of a keystore to use to create a trust manager to verify clients.

    - #### ldapAuthorization

          public T ldapAuthorization(LdapAuthorization value)

      Configuration to use LDAP as the user repository.

    - #### ldapAuthorization

          public T ldapAuthorization(LdapAuthorizationConsumer consumer)

      Configuration to use LDAP as the user repository.

    - #### ldapAuthorization

          public T ldapAuthorization()

      Configuration to use LDAP as the user repository.

    - #### ldapAuthorization

          public T ldapAuthorization(LdapAuthorizationSupplier supplier)

      Configuration to use LDAP as the user repository.

    - #### kerberosAuthentication

          public T kerberosAuthentication(KerberosAuthentication value)

      Configuration to use Kerberos to authenticate the users.

    - #### kerberosAuthentication

          public T kerberosAuthentication(KerberosAuthenticationConsumer consumer)

      Configuration to use Kerberos to authenticate the users.

    - #### kerberosAuthentication

          public T kerberosAuthentication()

      Configuration to use Kerberos to authenticate the users.

    - #### kerberosAuthentication

          public T kerberosAuthentication(KerberosAuthenticationSupplier supplier)

      Configuration to use Kerberos to authenticate the users.

    - #### usersAuthentication

          public T usersAuthentication(UsersAuthentication value)

      Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.

    - #### usersAuthentication

          public T usersAuthentication(UsersAuthenticationConsumer consumer)

      Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.

    - #### usersAuthentication

          public T usersAuthentication()

      Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.

    - #### usersAuthentication

          public T usersAuthentication(UsersAuthenticationSupplier supplier)

      Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.

    - #### ldapAuthentication

          public T ldapAuthentication(LdapAuthentication value)

      Configuration to use LDAP as the user repository.

    - #### ldapAuthentication

          public T ldapAuthentication(LdapAuthenticationConsumer consumer)

      Configuration to use LDAP as the user repository.

    - #### ldapAuthentication

          public T ldapAuthentication()

      Configuration to use LDAP as the user repository.

    - #### ldapAuthentication

          public T ldapAuthentication(LdapAuthenticationSupplier supplier)

      Configuration to use LDAP as the user repository.

    - #### jaasAuthentication

          public T jaasAuthentication(JaasAuthentication value)

      Configuration to use a JAAS LoginContext to authenticate the users.

    - #### jaasAuthentication

          public T jaasAuthentication(JaasAuthenticationConsumer consumer)

      Configuration to use a JAAS LoginContext to authenticate the users.

    - #### jaasAuthentication

          public T jaasAuthentication()

      Configuration to use a JAAS LoginContext to authenticate the users.

    - #### jaasAuthentication

          public T jaasAuthentication(JaasAuthenticationSupplier supplier)

      Configuration to use a JAAS LoginContext to authenticate the users.

    - #### secretServerIdentity

          public T secretServerIdentity(SecretServerIdentity value)

      Configuration of the secret/password-based identity of a server or host controller.

    - #### secretServerIdentity

          public T secretServerIdentity(SecretServerIdentityConsumer consumer)

      Configuration of the secret/password-based identity of a server or host controller.

    - #### secretServerIdentity

          public T secretServerIdentity()

      Configuration of the secret/password-based identity of a server or host controller.

    - #### secretServerIdentity

          public T secretServerIdentity(SecretServerIdentitySupplier supplier)

      Configuration of the secret/password-based identity of a server or host controller.

    - #### sslServerIdentity

          public T sslServerIdentity(SslServerIdentity value)

      Configuration of the SSL identity of a server or host controller.

    - #### sslServerIdentity

          public T sslServerIdentity(SslServerIdentityConsumer consumer)

      Configuration of the SSL identity of a server or host controller.

    - #### sslServerIdentity

          public T sslServerIdentity()

      Configuration of the SSL identity of a server or host controller.

    - #### sslServerIdentity

          public T sslServerIdentity(SslServerIdentitySupplier supplier)

      Configuration of the SSL identity of a server or host controller.

    - #### plugInAuthorization

          public T plugInAuthorization(PlugInAuthorization value)

      Configuration of a user store plug-in for use by the realm.

    - #### plugInAuthorization

          public T plugInAuthorization(PlugInAuthorizationConsumer consumer)

      Configuration of a user store plug-in for use by the realm.

    - #### plugInAuthorization

          public T plugInAuthorization()

      Configuration of a user store plug-in for use by the realm.

    - #### plugInAuthorization

          public T plugInAuthorization(PlugInAuthorizationSupplier supplier)

      Configuration of a user store plug-in for use by the realm.

    - #### propertiesAuthentication

          public T propertiesAuthentication(PropertiesAuthentication value)

      Configuration to use a list users stored within a properties file as the user repository. The entries within the properties file are username={credentials} with each user being specified on it's own line.

    - #### propertiesAuthentication

          public T propertiesAuthentication(PropertiesAuthenticationConsumer consumer)

      Configuration to use a list users stored within a properties file as the user repository. The entries within the properties file are username={credentials} with each user being specified on it's own line.

    - #### propertiesAuthentication

          public T propertiesAuthentication()

      Configuration to use a list users stored within a properties file as the user repository. The entries within the properties file are username={credentials} with each user being specified on it's own line.

    - #### propertiesAuthentication

          public T propertiesAuthentication(PropertiesAuthenticationSupplier supplier)

      Configuration to use a list users stored within a properties file as the user repository. The entries within the properties file are username={credentials} with each user being specified on it's own line.

    - #### kerberosServerIdentity

          public T kerberosServerIdentity(KerberosServerIdentity value)

      Configuration for the Kerberos identity of a server or host controller.

    - #### kerberosServerIdentity

          public T kerberosServerIdentity(KerberosServerIdentityConsumer consumer)

      Configuration for the Kerberos identity of a server or host controller.

    - #### kerberosServerIdentity

          public T kerberosServerIdentity()

      Configuration for the Kerberos identity of a server or host controller.

    - #### kerberosServerIdentity

          public T kerberosServerIdentity(KerberosServerIdentitySupplier supplier)

      Configuration for the Kerberos identity of a server or host controller.

    - #### plugInAuthentication

          public T plugInAuthentication(PlugInAuthentication value)

      Configuration of a user store plug-in for use by the realm.

    - #### plugInAuthentication

          public T plugInAuthentication(PlugInAuthenticationConsumer consumer)

      Configuration of a user store plug-in for use by the realm.

    - #### plugInAuthentication

          public T plugInAuthentication()

      Configuration of a user store plug-in for use by the realm.

    - #### plugInAuthentication

          public T plugInAuthentication(PlugInAuthenticationSupplier supplier)

      Configuration of a user store plug-in for use by the realm.

    - #### localAuthentication

          public T localAuthentication(LocalAuthentication value)

      Configuration of the local authentication mechanism.

    - #### localAuthentication

          public T localAuthentication(LocalAuthenticationConsumer consumer)

      Configuration of the local authentication mechanism.

    - #### localAuthentication

          public T localAuthentication()

      Configuration of the local authentication mechanism.

    - #### localAuthentication

          public T localAuthentication(LocalAuthenticationSupplier supplier)

      Configuration of the local authentication mechanism.

    - #### propertiesAuthorization

          public T propertiesAuthorization(PropertiesAuthorization value)

      Configuration to use properties file to load a users roles. The entries within the properties file are username={roles} where roles is a comma separated list of users roles.

    - #### propertiesAuthorization

          public T propertiesAuthorization(PropertiesAuthorizationConsumer consumer)

      Configuration to use properties file to load a users roles. The entries within the properties file are username={roles} where roles is a comma separated list of users roles.

    - #### propertiesAuthorization

          public T propertiesAuthorization()

      Configuration to use properties file to load a users roles. The entries within the properties file are username={roles} where roles is a comma separated list of users roles.

    - #### propertiesAuthorization

          public T propertiesAuthorization(PropertiesAuthorizationSupplier supplier)

      Configuration to use properties file to load a users roles. The entries within the properties file are username={roles} where roles is a comma separated list of users roles.

    - #### mapGroupsToRoles

          public Boolean mapGroupsToRoles()

      After a users group membership has been loaded should a 1:1 relationship be assumed regarding group to role mapping.

    - #### mapGroupsToRoles

          public T mapGroupsToRoles(Boolean value)

      After a users group membership has been loaded should a 1:1 relationship be assumed regarding group to role mapping.

Copyright © 2018 JBoss by Red Hat. All rights reserved.